%global pypi_name requests-unixsocket

Summary:        Use requests to talk HTTP via a UNIX domain socket
Name:           python-%{pypi_name}
Version:        0.2.0
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://github.com/msabramo/requests-unixsocket
Source0:        https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
%description
Use requests to talk HTTP via a UNIX domain socket.

%package -n     python3-%{pypi_name}
Summary:        Use requests to talk HTTP via a UNIX domain socket
BuildRequires:  python3-devel python3dist(setuptools) python3dist(pbr) python3dist(pytest)
BuildRequires:  python3dist(requests) python3dist(urllib3) python3dist(waitress)
Requires:       python3dist(requests)

%description -n python3-%{pypi_name}
Use requests to talk HTTP via a UNIX domain socket.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i '1d' requests_unixsocket/tests/test_requests_unixsocket.py
sed -i '1d' setup.py
rm pytest.ini
sed -i '/pytest-pep8/d' test-requirements.txt
sed -i '/pytest-capturelog/d' test-requirements.txt

%build
%py3_build

%install
%py3_install


%check
%{__python3} -m pytest -v

%files -n python3-%{pypi_name} 
%doc README.rst
%license LICENSE
%{python3_sitelib}/requests_unixsocket
%{python3_sitelib}/requests_unixsocket-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Miaojun Dong <zoedong@tencent.com> - 0.2.0-1
- initial build
